Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.filter
Interface FilterConstants

public interface FilterConstants

This interface is for managing the constants of the filters.

Field Summary
`static java.lang.String` | `ATR_BLOCKING`
`static java.lang.String` | `ATR_DELIMITER`
`static java.lang.String` | `ATR_MATCHING`
`static java.lang.String` | `ATR_SBR`
`static java.lang.String` | `BLOCK_EXCLUSION_TYPE`
`static java.lang.String` | `MATCH_EXCLUSION_TYPE`
`static java.lang.String` | `SBR_EXCLUSION_TYPE`
`static java.lang.String` | `TAG_FIELD`
`static java.lang.String` | `TAG_FIELD_VALUES`
`static java.lang.String` | `TAG_FILE`
`static java.lang.String` | `TAG_FILE_NAME`
`static java.lang.String` | `TAG_NAME`
`static java.lang.String` | `TAG_VALUE`

Field Detail

### ATR_BLOCKING

    public static final java.lang.String ATR_BLOCKING

See Also:
  Constant Field Values

### ATR_DELIMITER

    public static final java.lang.String ATR_DELIMITER

See Also:
  Constant Field Values

### ATR_MATCHING

    public static final java.lang.String ATR_MATCHING

See Also:
  Constant Field Values

### ATR_SBR

    public static final java.lang.String ATR_SBR

See Also:
  Constant Field Values

### BLOCK_EXCLUSION_TYPE

    public static final java.lang.String BLOCK_EXCLUSION_TYPE

See Also:
  Constant Field Values

### MATCH_EXCLUSION_TYPE

    public static final java.lang.String MATCH_EXCLUSION_TYPE

See Also:
  Constant Field Values

### SBR_EXCLUSION_TYPE

    public static final java.lang.String SBR_EXCLUSION_TYPE

See Also:
  Constant Field Values

### TAG_FIELD

    public static final java.lang.String TAG_FIELD

See Also:
  Constant Field Values

### TAG_FIELD_VALUES

    public static final java.lang.String TAG_FIELD_VALUES

See Also:
  Constant Field Values

### TAG_FILE

    public static final java.lang.String TAG_FILE

See Also:
  Constant Field Values

### TAG_FILE_NAME

    public static final java.lang.String TAG_FILE_NAME

See Also:
  Constant Field Values

### TAG_NAME

    public static final java.lang.String TAG_NAME

See Also:
  Constant Field Values

### TAG_VALUE

    public static final java.lang.String TAG_VALUE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.